Bug # 2781: Clicking "go to Start Page" causes error

Status: Closed Start date: 06/11/2020
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 41.0

Description

Subtasks:

Closed

History

#1 - 06/10/2020 07:28 PM - Luke Murphey

e https://joshwcom .com/r rsisting-r
e https://www.robinwieruch.de/local-storage-react
e https://programmingwithmosh.com/react/localstorage-react/

e https://developer.mozilla.org/en-US/docs/Web/API/Web_Storage_API/Using_the_Web_Storage API#Feature-detecting_localStorage

#2 - 06/10/2020 11:07 PM - Luke Murphey

Could use this: https://react.semantic-ui.com/views/card/#types-card

Qs:

e What data you | need?
o Favorited works
o Last loaded works (top N)
o Last loaded position of each work

#3 - 06/11/2020 06:16 AM - Luke Murphey

Scenarios:

e [Done] Invalid data should be handled elegantly

¢ [Done] Latest work will be the last in the index

¢ [Done] An existing work in the history will be moved to the top of the queue when it is reread
e [Done] User navigation in the read work page consistently works

¢ [Done] Only a certain number of works will be listed in the history

¢ [Done] Handle no records

#4 - 06/11/2020 09:25 PM - Luke Murphey
https://joshwcomeau.com/react/persisting-react-state-in-localstorage/
https://www.robinwieruch.de/local-storage-react
https://programmingwithmosh.com/react/localstorage-react/
https://developer.mozilla.org/en-US/docs/Web/API/Web_Storage_API/Using_the_Web_Storage_API#Feature-detecting_localStorage
https://react.semantic-ui.com/views/card/#types-card

- Target version changed from Plus_1 to 4.1.0

#5 - 06/11/2020 10:08 PM - Luke Murphey

- Status changed from New to Closed
